Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
set-active-revision
Set active agent revision
curl --request POST \
  --url https://api-sandbox.featherhq.com/v1/agents/{agent_id}/set-active-revision \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bypass_release_gate": false,
  "override_reason": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "persona": "<string>",
  "system_prompt": "<string>",
  "global_skill_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "context_variables": [
    {
      "name": "<string>",
      "source": "derived",
      "enum_values": [
        "<string>"
      ],
      "reask_cap": 123,
      "description": "<string>"
    }
  ],
  "variable_defaults": {},
  "tool_refs": [
    {}
  ],
  "knowledge_base_refs": [
    {}
  ],
  "policies_enabled": true,
  "policy_refs": [
    {}
  ],
  "channel_specific_config": {},
  "router_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "model_settings": {
    "model": "<string>",
    "config": {
      "temperature": 123,
      "max_tokens": 123,
      "top_p": 123,
      "stop_sequences": [
        "<string>"
      ],
      "request_timeout_ms": 123,
      "thinking_budget": 2
    }
  },
  "kb_clearance_level": 123,
  "kb_audience_tags": [
    "<string>"
  ],
  "created_by": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string<uuid>
required

Body

application/json
revision_id
string<uuid>
required
bypass_release_gate
boolean
default:false
override_reason
string | null
Maximum string length: 1000

Response

Successful Response

id
string<uuid>
required
agent_id
string<uuid>
required
name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
persona
string | null
system_prompt
string | null
global_skill_ids
string<uuid>[] | null
context_variables
ContextVarSpec · object[] | null
variable_defaults
Variable Defaults · object
tool_refs
Tool Refs · object[] | null
knowledge_base_refs
Knowledge Base Refs · object[] | null
policies_enabled
boolean
default:true
policy_refs
Policy Refs · object[] | null
channel_specific_config
Channel Specific Config · object
router_config_id
string<uuid> | null
model_settings
ModelChainEntry · object
kb_clearance_level
integer | null
kb_audience_tags
string[]
created_by
string | null